This service will be undergoing maintenance at 00:00 UTC, 2016-09-28. It is expected to last about 1 hours
Bug 121188 - perl-DBI compiled for Perl 5.8.0 instead of 5.8.1
perl-DBI compiled for Perl 5.8.0 instead of 5.8.1
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: perl-DBI (Show other bugs)
1
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Chip Turner
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-04-18 14:25 EDT by Jan "Yenya" Kasprzak
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-04-19 10:55:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan "Yenya" Kasprzak 2004-04-18 14:25:51 EDT
Description of problem:
perl-DBI is compiled for 5.8.0, while the system has 5.8.1. So
Perl cannot find DBI.pm even though it is installed.

Version-Release number of selected component (if applicable):
perl-5.8.1-92
perl-DBI-1.37-1

How reproducible:
100%


Steps to Reproduce:
1. install both perl and perl-DBI RPMs
2. run perl -MDBI -e 1
  
Actual results:
perl cannot find DBI.pm in its include path.

Expected results:
perl -MDBI -e 1 should not print error.

Additional info:
run "rpm -ql perl-DBI|grep DBI.pm"
and "perl -V" and compare the Perl search path with
the directories where DBI.pm gets installed.
The same problem may be present in other Perl modules in RPM format
(at least perl-Time-HiRes is also installed into 5.8.0 dirs).
Comment 1 Jan "Yenya" Kasprzak 2004-04-19 10:55:30 EDT
This is solved by newer Perl RPM (5.8.3-16) from updates. Sorry for
the noise.

Note You need to log in before you can comment on or make changes to this bug.